# LanderCpp

## System Requirements
*Note: these are only necessary if you plan on messing around with the source code. If you just want to see the end result, you should be able to go into the build/release directory and run the executable with no problems*
- Visual Studio Code / C++ Extension
- mingw64 Compiler

For help with setting up your environment on Windows, reference this site: https://code.visualstudio.com/docs/languages/cpp
The json files are already configured, so if you need any assistance with installing things in the right places, I would reference tasks.json under the .vscode folder

## Overview
- Make sure to build from main.cpp
- main.cpp contains all of user defined initial conditions
- sim.h contains all of the simulation calculations
- As of right now, the executable just spits out a csv file...
- Currently using simPlot.m to plot all of the data in the csv file. So I suggest having Matlab open while you're messing aound with this.

## Known Issues
- None!

## Results

![Accel-Vel-Alt vs Time](build/debug/outputs/Accel-Vel-Alt vs Time.png)

![Euler Angles vs Time](build/debug/outputs/Euler Angles vs Time.png)

![Servo Position vs Time](build/debug/outputs/Servo Position vs Time.png)
